Bug 1667200 - Retire python-pep8
Summary: Retire python-pep8
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pep8
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1298005 1341314 1605829
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-17 17:40 UTC by Miro Hrončok
Modified: 2019-06-25 13:27 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-01-29 03:58:06 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-01-17 17:40:13 UTC
Please either address:

  https://bugzilla.redhat.com/show_bug.cgi?id=1341314
  https://bugzilla.redhat.com/show_bug.cgi?id=1605829
  https://bugzilla.redhat.com/show_bug.cgi?id=1298005

Or orphan or retire the package.

  personal e-mail sent @ 2018-12-10

Got a reply:

Hi, unfortunately don't have time to work on Fedora packaging right now.

python-pep8 is a "dead" upstream anyway, having moved on to pycodestyle,
and we should be retiring the package from the distribution instead of
trying to fix it. 

I've replied: I agree. Please orphan it or retire it :)

  Another personal e-mail sent @ 2019-01-05 but got no reply.

Iliana, please respond. Thank you.

Comment 1 Miro Hrončok 2019-01-28 16:49:32 UTC
Iliana, please respond. Thank you.

This is the second official reminder.

https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Comment 2 iliana weller 2019-01-29 01:13:03 UTC
Acking. I've been moving and missed these emails.

Will do the package retirement procedure tonight.

Comment 3 iliana weller 2019-01-29 03:52:43 UTC
$ dnf repoquery --whatrequires python2-pep8
python2-autopep8-0:1.2.4-9.fc29.noarch
python2-pytest-pep8-0:1.0.6-15.fc29.noarch
python2-spyder-0:3.3.1-3.fc29.noarch
$ dnf repoquery --whatrequires python3-pep8
python3-autopep8-0:1.2.4-9.fc29.noarch
python3-hacking-0:1.1.0-3.fc29.noarch
python3-pytest-pep8-0:1.0.6-15.fc29.noarch
python3-spyder-0:3.3.1-3.fc29.noarch

It doesn't seem appropriate to retire a package that other packages in the distribution currently depend on; I'm going to orphan the package (as you suggest as an alternative) because I don't personally have the time to work this out with all the dependent maintainers.

Sorry that it's taken this long to do.

Comment 4 Matthias Runge 2019-01-29 10:50:39 UTC
I've just dropped the requirement for pep8 in autopep8 and hacking.

Comment 5 Miro Hrončok 2019-01-29 11:15:37 UTC
Let's repurpose this bug to track the retirement.

Comment 6 Miro Hrončok 2019-04-20 18:19:24 UTC
Current status.

$ dnf repoquery --repo=rawhide --repo=rawhide-source --whatrequires python2-pep8
cachedir-0:1.4-3.fc28.src
genbackupdata-0:1.9-9.fc30.src
ovirt-guest-agent-0:1.0.14-1.fc29.3.src
pylast-0:1.9.0-5.fc29.src
python-cliapp-0:1.20180121-1.fc30.src

$ dnf repoquery --repo=rawhide --repo=rawhide-source --whatrequires python3-pep8
imgbased-0:1.1.0-2.fc30.1.src
pylast-0:1.9.0-5.fc29.src
python-actdiag-0:0.5.4-13.fc30.src
python-autobahn-0:19.3.2-1.fc31.src
python-blockdiag-0:1.5.4-1.fc30.src
python-cliapp-0:1.20180121-1.fc30.src
python-f5-icontrol-rest-0:1.3.13-1.fc31.src
python-flake8-polyfill-0:1.0.2-1.fc31.src
python-nwdiag-0:1.0.4-13.fc30.src
python-os-win-0:2.2.0-9.fc30.src
python-pytest-pep8-0:1.0.6-18.fc31.src
python-ryu-0:4.29-3.fc30.src
python-seqdiag-0:0.9.6-1.fc30.src
python-shortuuid-0:0.5.0-8.fc30.src
python-terminaltables-0:3.1.0-12.fc30.src
python-txaio-0:18.8.1-2.fc31.src
python3-pytest-pep8-0:1.0.6-18.fc31.noarch
python3-spyder-0:3.3.3-1.fc30.noarch


I suggest I start by removing python2-pep8 according to the https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal procedure.
Mathias, any objections?

Comment 7 Matthias Runge 2019-04-22 06:24:46 UTC
no objections from my side.

Comment 8 Miro Hrončok 2019-05-15 11:44:16 UTC
python2-pep8 removed. current python3-pep8 dependents:

Build time:

buildstream-0:1.2.6-1.fc31.src
imgbased-0:1.1.0-2.fc30.1.src
pylast-0:1.9.0-6.fc31.src
python-actdiag-0:0.5.4-14.fc31.src
python-autobahn-0:19.3.2-1.fc31.src
python-blockdiag-0:1.5.4-4.fc31.src
python-cliapp-0:1.20180121-1.fc30.src
python-f5-icontrol-rest-0:1.3.13-1.fc31.src
python-flake8-polyfill-0:1.0.2-1.fc31.src
python-keystoneauth1-0:3.13.1-1.fc31.src
python-nwdiag-0:1.0.4-14.fc31.src
python-os-win-0:2.2.0-9.fc30.src
python-pytest-pep8-0:1.0.6-20.fc31.src
python-ryu-0:4.29-3.fc30.src
python-seqdiag-0:0.9.6-2.fc31.src
python-shortuuid-0:0.5.0-8.fc30.src
python-terminaltables-0:3.1.0-12.fc30.src
python-txaio-0:18.8.1-2.fc31.src

Run time:

python3-pytest-pep8-0:1.0.6-20.fc31.noarch
python3-spyder-0:3.3.4-1.fc31.noarch

Build time dependents of python3-pytest-pep8:

buildstream-0:1.2.6-1.fc31.src
python-dictdiffer-0:0.7.1-4.fc31.src
python-mwclient-0:0.9.3-2.fc30.src
python-natsort-0:6.0.0-3.fc31.src
python-progressbar2-0:3.39.3-2.fc31.src
python-pydocstyle-0:2.0.0-8.fc30.src
python-stem-0:1.7.1-2.fc30.src
python-utils-0:2.3.0-5.fc31.src

Comment 9 Miro Hrončok 2019-06-25 13:27:09 UTC
Current dependents:

$ repoquery --repo=rawhide-source --whatrequires python3-pep8
buildstream-0:1.2.7-1.fc31.src
imgbased-0:1.1.0-2.fc30.1.src
pylast-0:1.9.0-6.fc31.src
python-autobahn-0:19.3.2-1.fc31.src
python-cliapp-0:1.20180121-1.fc30.src
python-f5-icontrol-rest-0:1.3.13-1.fc31.src
python-flake8-polyfill-0:1.0.2-2.fc31.src
python-keystoneauth1-0:3.13.1-1.fc31.src
python-pytest-pep8-0:1.0.6-20.fc31.src
python-ryu-0:4.29-3.fc30.src
python-shortuuid-0:0.5.0-8.fc30.src
python-terminaltables-0:3.1.0-12.fc30.src
python-txaio-0:18.8.1-2.fc31.src

$ repoquery --repo=rawhide --whatrequires python3-pep8
python3-pytest-pep8-0:1.0.6-20.fc31.noarch
python3-spyder-0:3.3.4-1.fc31.noarch

$ repoquery --repo=rawhide-source --whatrequires python3-pytest-pep8
buildstream-0:1.2.7-1.fc31.src
python-dictdiffer-0:0.7.1-4.fc31.src
python-mwclient-0:0.9.3-2.fc30.src
python-natsort-0:6.0.0-3.fc31.src
python-pydocstyle-0:2.0.0-8.fc30.src
python-stem-0:1.7.1-2.fc30.src
python-utils-0:2.3.0-5.fc31.src


Note You need to log in before you can comment on or make changes to this bug.